## org.hibernate
Class LazyInitializationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.LazyInitializationException

All Implemented Interfaces:
  Serializable

    public class LazyInitializationException

extends HibernateException

Indicates access to unfetched data outside of a session context. For example, when an uninitialized proxy or collection is accessed after the session was closed.

Author:
  Gavin King
See Also:
  `Hibernate.initialize(java.lang.Object)`, `Hibernate.isInitialized(java.lang.Object)`, Serialized Form

Constructor Summary
`LazyInitializationException(String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LazyInitializationException

    public LazyInitializationException(String msg)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.